#!/bin/sh
# Copyright (C) 2023  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

osi-mk \
	--size=2G \
	--conf=hostname=mario.mothstuff.lol \
	\
	--package=base \
	--package=linux-libre-vanilla \
	--conf=initramfs=mkinitcpio \
	\
	--module=modules/umorpha-branding.sh \
	--module=modules/umorpha-users.sh \
	--module=modules/umorpha-cli.sh \
	\
	--module=modules/base-net.sh \
	--module=modules/base-acme.sh \
	--module=modules/service-gitea.sh \
	\
	"$@"
