#!/hint/bash -euE
# Copyright (C) 2023  Umorpha Systems
# SPDX-License-Identifier: AGPL-3.0-or-later

packages+=(
	less
	bash-completion
	rxvt-unicode-terminfo
)

post_install+=(10:umorpha-cli:post_install)
umorpha-cli:post_install() {
	local arg_mountpoint=$1

	echo en_US.UTF-8 UTF-8 >"${arg_mountpoint}/etc/locale.gen"
	arch-chroot -- "$arg_mountpoint" locale-gen

	cat >"${arg_mountpoint}/etc/locale.conf" <<-EOF
		LANG=en_US.UTF-8
		LC_COLLATE=C
	EOF
}
